package com.example.demo.service.imp;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;
import com.example.demo.model.Persona;
import com.example.demo.service.IPersonaService;

@Service("personaService")
public class PersonaServiceImp implements IPersonaService{
	private static final Log LOGGER = LogFactory.getLog(PersonaServiceImp.class);
	@Autowired
	@Qualifier("unaPersona")
	private Persona persona;

	@Override
	public Persona getPersona() {
		LOGGER.info("SERVICE: IPersonaService -> PersonaServiceImp");
		LOGGER.info("METHOD: getPersona()");
		LOGGER.info("RESULT:a object Persona");
		return persona;
	}
}
